﻿using igGrid_remote_paging.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace igGrid_remote_paging.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        [ActionName("GridGetData")]
        public ActionResult GridGetData(string page, string pageSize)
        {

            int _currentPageIndex = Convert.ToInt32(page);
            int _pageSize = Convert.ToInt32(pageSize);

            // Data
            List<Products> list = new List<Products>();
            for (int i = 0; i < 100; i++)
            {
                list.Add(new Products() { ProductID = i, Name = "Product " + i, ListPrice = i, ModifiedDate = DateTime.Now.AddDays(i) });
            }

            // Fetch data based on the page index and the page size
            List<Products> currentData = list.Skip(_currentPageIndex * _pageSize).Take(_pageSize).ToList();
            DataModel model = new DataModel() { Records = currentData, TotalRecordsCount = 100 };

            JsonResult result = new JsonResult();
            result.Data = model;

            result.JsonRequestBehavior = JsonRequestBehavior.AllowGet;
            return result;
        }
    }
}